summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-02-22 12:36:12 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-02-22 12:41:28 +0100
commit5cc6d781e408461e65e00320c7e1c14dc2e38247 (patch)
tree36d373c37f8dbba7b505d8e587f395372531f462 /kde-plasma/kinfocenter
parentmedia-libs/libilbc: Add architecture definition for ppc/ppc64 (bug 610546). (diff)
downloadgentoo-5cc6d781e408461e65e00320c7e1c14dc2e38247.tar.gz
gentoo-5cc6d781e408461e65e00320c7e1c14dc2e38247.tar.bz2
gentoo-5cc6d781e408461e65e00320c7e1c14dc2e38247.zip
kde-plasma: KDE Plasma 5.8.6 version bump
Package-Manager: portage-2.3.3
Diffstat (limited to 'kde-plasma/kinfocenter')
-rw-r--r--kde-plasma/kinfocenter/Manifest1
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-5.8.6.ebuild89
2 files changed, 90 insertions, 0 deletions
diff --git a/kde-plasma/kinfocenter/Manifest b/kde-plasma/kinfocenter/Manifest
index feac6360519b..f854915b217d 100644
--- a/kde-plasma/kinfocenter/Manifest
+++ b/kde-plasma/kinfocenter/Manifest
@@ -1,3 +1,4 @@
DIST glogo-small.png 24583 SHA256 0afc3eca084c327f8059166b86769f03c9c23e1e765bb47dc3229505abbac0c6 SHA512 648be463ec3812a2edcdab54d7a230bf2bd7e6895f4ffe72321d8fca28a5e1e0980f6e3b9a32f369c8369943ceb802a65a94b9dad820dcf2c81d4581d814cb48 WHIRLPOOL e161bf40c5e16180fa65217cb49314fb230c45329f4c518d6014083bd71da82d4aa048811ee814fde7fa300105cef16c182688445164ae84d0d700e23641b342
DIST kinfocenter-5.8.5.tar.xz 1269580 SHA256 f7bd2b1389245f73d89dfe0f6229e3ecd9e04bf7a235e369ca992d3ad3b27aba SHA512 35c66179f9947cc5b323584ca74040622c39ed273c9609bba4c712b07965a0e97c65d0c1b4b0d29a458d1741d59f657ff5d3cbc8ec92fcb4ce6ac402bf113e92 WHIRLPOOL b0ab085af294f93b00e35fe52ae6b955b70c9b7cbd1446f5faa00ccf1a59202fed94a9c0879a5b7e278b9867ab201ff1f11a64c070793cdfdfbd75c01066d387
+DIST kinfocenter-5.8.6.tar.xz 1269552 SHA256 8bcc2438efb20106c9f0c8cae3a66ff202f71bf9acaaab940ffaf816002c10b5 SHA512 8eed4a548d782e0a29b9ce372b30ab250b619491dfa9efa73d3ec463cc43bb916a36702c949a4d6d25dfb7d4c350c84ebec08af7722a3a3ae5a37b2d9fca57cf WHIRLPOOL ffeeb1541e7eda54fc577d6c134fde491f8aef2d40e94615ad917d26705e72ca7a5b2a28771a823cbc273835f8c98ce45d93d58b8b57fa5dcdd47e3506eb2196
DIST kinfocenter-5.9.2.tar.xz 1266164 SHA256 bef138f07707893832bceba86525f43ce0605d0bf8633651024138b5b46a4be5 SHA512 6e9cc5f72cf55bf6cbdc5c31e3073b3c1e3c080144c4879e7fe42354c9d25d3e444873cbd319d24f3cab839e547ef4d6b6a6bb47361febe21b89c66a34a28553 WHIRLPOOL db2a0f84f1c56ffa48ec3ecbc614b60928f61a314b095875a9ce7f4b67f6f5e90afd85e51db53df7e781dd179bb57ee98a2c4df60288fb9d2d0bfb55811b8976
diff --git a/kde-plasma/kinfocenter/kinfocenter-5.8.6.ebuild b/kde-plasma/kinfocenter/kinfocenter-5.8.6.ebuild
new file mode 100644
index 000000000000..32bcb3c6afb4
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-5.8.6.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="A utility that provides information about a computer system"
+HOMEPAGE="https://www.kde.org/applications/system/kinfocenter/"
+SRC_URI+=" https://www.gentoo.org/assets/img/logo/gentoo-3d-small.png -> glogo-small.png"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="egl gles2 ieee1394 +opengl +pci wayland"
+
+REQUIRED_USE="egl? ( || ( gles2 opengl ) )"
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdeclarative)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kpackage)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep solid)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ x11-libs/libX11
+ ieee1394? ( sys-libs/libraw1394 )
+ opengl? (
+ $(add_qt_dep qtgui 'gles2=')
+ media-libs/mesa[egl?,gles2?]
+ !gles2? ( media-libs/glu )
+ )
+ pci? ( sys-apps/pciutils )
+ wayland? ( $(add_frameworks_dep kwayland) )
+"
+DEPEND="${COMMON_DEPEND}
+ $(add_frameworks_dep plasma)
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kde-cli-tools)
+ !kde-base/kcontrol:4
+ !kde-plasma/kinfocenter:4
+ !kde-misc/about-distro
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package egl EGL)
+ $(cmake-utils_use_find_package gles2 OpenGLES)
+ $(cmake-utils_use_find_package ieee1394 RAW1394)
+ $(cmake-utils_use_find_package opengl OpenGL)
+ $(cmake-utils_use_find_package pci PCIUTILS)
+ $(cmake-utils_use_find_package wayland KF5Wayland)
+ )
+
+ kde5_src_configure
+}
+
+src_install() {
+ kde5_src_install
+
+ insinto /etc/xdg
+ doins "${FILESDIR}"/kcm-about-distrorc
+
+ insinto /usr/share/${PN}
+ doins "${DISTDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+ if ! has_version "net-fs/nfs-utils"; then
+ einfo "Installing net-fs/nfs-utils will enable the NFS information module."
+ fi
+ if ! has_version "net-fs/samba" || ! has_version "net-fs/samba[server]"; then
+ einfo "Installing net-fs/samba[server(+)] will enable the Samba status information module."
+ fi
+}